extends layout.pug
block title
  title PiouPiouZ - Editeur de niveaux
block content
  #game_container
    script.
      client.createEditorSwf("#{level.id}", window.useFlashClient);
  h1.d2= level.title

  if bestTry
    h1 Plublier
    form(action=`/level/${level.id}/publish`, method="post")
      p Attention, vous ne pourrez plus modifier le niveau une fois publié.
      div
        label(for="piouz") Nombre de piouz a sauver :
        input(
          type="number",
          name="piouz",
          value=`${bestTry.piouz}`,
          min="1",
          max=`${bestTry.piouz}`
        )
      input(type="submit", value="Publier !")

  h1 Editer le niveau
  p N'oubliez pas de sauvegarder dans l'éditeur avant de soumettre le formulaires
  form(action=`/level/${level.id}/edit`, method="post")
    div
      label(for="title") Titre :
      input.field(
        name="title",
        type="text",
        placeholder="Nom du niveau",
        value=`${level.title}`,
        required
      )
    div
      label(for="description") Description :
      br
      textarea.field(
        name="description",
        type="text",
        placeholder="Description du niveau"
      )= level.description
    input(type="submit", value="Edit")

  h1 Supprimer le niveau
  p Attention, cette action est irréversible.
  form(
    action=`/level/${level.id}/delete`,
    method="post",
    onsubmit="return confirm('Are you sure?')"
  )
    input(type="submit", value="Supprimer")
